headless lms

Find an organization by its slug

GET /api/platform/organizations. Find an organization by its slug. Headless LMS Platform API reference.

GET
/api/platform/organizations

Requires the platform key as Authorization: Bearer <platform key>. Returns the organization with that slug and its metadata, to recover the id of an organization whose creation response was lost. 404 when no organization has the slug or the organization was not created with the platform key.

Query Parameters

slug*string

The slug the organization was created with

Length1 <= length <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/platform/organizations?slug=string"
{  "id": "string",  "name": "string",  "slug": "string",  "createdAt": "string",  "hosts": {    "courses": "string",    "community": "string"  },  "metadata": {    "property1": "string",    "property2": "string"  }}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}